<solidify-empty-container (keydown.escape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [editAvailable]="editAvailable"
                                  [deleteAvailable]="deleteAvailable"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-funding-agencies-form #formPresentational
                                      (checkAvailableChange)="checkAvailable($event)"
                                      (dirtyChange)="updateCanDeactivate($event)"
                                      (editChange)="edit()"
                                      (navigate)="navigate($event)"
                                      (submitChange)="update($event)"
                                      *ngIf="isReadyToBeDisplayedObs | async"
                                      [editAvailable]="editAvailable"
                                      [listOrgUnits]="listOrgUnitsObs | async"
                                      [model]="currentObs | async"
                                      [readonly]="!isEdit"
                                      [selectedOrgUnits]="selectedOrgUnitsObs | async"
    >
    </dlcm-admin-funding-agencies-form>

  </div>
</solidify-empty-container>
